import cdk = require('@aws-cdk/cdk');
import { ContainerDefinition } from '../container-definition';
import { ContainerImage } from '../container-image';
import { CfnTaskDefinition } from '../ecs.generated';
export interface AssetImageProps {
    /**
     * The directory where the Dockerfile is stored
     */
    readonly directory: string;
}
/**
 * An image that will be built at synthesis time
 */
export declare class AssetImage extends ContainerImage {
    private readonly asset;
    constructor(scope: cdk.Construct, id: string, props: AssetImageProps);
    bind(containerDefinition: ContainerDefinition): void;
    toRepositoryCredentialsJson(): CfnTaskDefinition.RepositoryCredentialsProperty | undefined;
    readonly imageName: string;
}
