import ecr = require('@aws-cdk/aws-ecr');
import { ContainerDefinition } from '../container-definition';
import { ContainerImage } from '../container-image';
import { CfnTaskDefinition } from '../ecs.generated';
/**
 * An image from an ECR repository
 */
export declare class EcrImage extends ContainerImage {
    readonly imageName: string;
    private readonly repository;
    constructor(repository: ecr.IRepository, tag: string);
    bind(containerDefinition: ContainerDefinition): void;
    toRepositoryCredentialsJson(): CfnTaskDefinition.RepositoryCredentialsProperty | undefined;
}
