import secretsmanager = require('@aws-cdk/aws-secretsmanager');
import { ContainerDefinition } from "../container-definition";
import { ContainerImage } from "../container-image";
import { CfnTaskDefinition } from '../ecs.generated';
export interface RepositoryImageProps {
    /**
     * Optional secret that houses credentials for the image registry
     */
    readonly credentials?: secretsmanager.ISecret;
}
/**
 * A container image hosted on DockerHub or another online registry
 */
export declare class RepositoryImage extends ContainerImage {
    readonly imageName: string;
    private credentialsSecret?;
    constructor(imageName: string, props?: RepositoryImageProps);
    bind(containerDefinition: ContainerDefinition): void;
    toRepositoryCredentialsJson(): CfnTaskDefinition.RepositoryCredentialsProperty | undefined;
}
